package app.surec

import io.flutter.embedding.android.FlutterActivity
import android.os.Bundle
import android.util.Log

class MainActivity : FlutterActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        Log.i("MainActivity","--> onCreate : " + savedInstanceState)
        if (savedInstanceState != null && getLastNonConfigurationInstance() == null) {
            // all fine
        }
    }

    fun onRetainCustomNonConfigurationInstance() : Any {
        Log.i("MainActivity","--> onRetainCustomNonConfigurationInstance")
        return Any()
    }

    override fun onStart() {
        super.onStart()
        Log.i("MainActivity","--> onStart")
    }

    override fun onStop() {
        super.onStop()
        Log.i("MainActivity", "--> onStop")
    }

    override fun onResume() {
        super.onResume()
        Log.i("MainActivity","--> onResume")
    }

    override fun onPause() {
        super.onPause()
        Log.i("MainActivity","--> onPause")
    }

    override fun onDestroy() {
        super.onDestroy()
        Log.i("MainActivity","--> onDestroy")
    }

    override fun onRestart() {
        super.onRestart()
        Log.i("MainActivity","--> onRestart")
    }

}
