/*
    Copyright (c) 2021 Richard Meinsen.

    This file is part of surec backend - prototype fund round 8 release.

    surec backend is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    surec backend is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
*/

package eu.surec.backend.dto

import com.fasterxml.jackson.annotation.JsonProperty

enum class Algo(val value: String) {
    @JsonProperty("SHA3-512")
    SHA3_512("SHA3-512"),

    @JsonProperty("SHA3-384")
    SHA3_384("SHA3-384"),

    @JsonProperty("SHA3-256")
    SHA3_256("SHA3-256"),

    @JsonProperty("SHA3-224")
    SHA3_224("SHA3-224"),

    @JsonProperty("SHA-512")
    SHA_512("SHA-512"),

    @JsonProperty("SHA-384")
    SHA_384("SHA-384"),

    @JsonProperty("SHA-256")
    SHA_256("SHA-256"),

    @JsonProperty("SHA-224")
    SHA_224("SHA-224");


}

