package app.surec

import android.app.Application
import android.content.res.Configuration
import android.util.Log

class SurecApplication : Application() {
    override fun onCreate() {
        super.onCreate()
        Log.i("SurecApplication","--> onCreate")
    }

    override fun onConfigurationChanged ( newConfig : Configuration ) {
        super.onConfigurationChanged(newConfig)
        Log.i("SurecApplication","--> onConfigurationChanged")
    }

    override fun onTerminate() {
        super.onTerminate()
        Log.i("SurecApplication","--> onTerminate")
    }

    override fun onLowMemory() {
        super.onLowMemory()
        Log.i("SurecApplication","--> onLowemory")
    }

    override fun onTrimMemory(level: Int) {
        super.onTrimMemory(level)
        Log.i("SurecApplication","--> onTrimMemory " + level.toString())
    }


}