/*
    Copyright (c) 2021 Richard Meinsen.

    This file is part of surec_app - prototype fund round 8 release.

    surec_app is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    surec_app is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
*/

enum FSCacheExceptionCode {
  ALREADY_INITIALIZED,
  INVALID_ARGUMENT,
  FILESYSTEM_ERROR,
  ERROR,
  NOT_IMPLEMENTED,
}

class FSCacheException implements Exception {

  final FSCacheExceptionCode code;
  final String explanation;

  FSCacheException(this.code, {this.explanation =""});
}